Bug 279228 - With kmail's 'save password' checkbox checked kmail hangs at "saving password to the wallet" when 'Enable kdewallet' is unchecked in system settings.
Summary: With kmail's 'save password' checkbox checked kmail hangs at "saving password...
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: POP3 Resource (show other bugs)
Version: 4.7
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-03 00:30 UTC by buzzmandt
Modified: 2011-09-18 13:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description buzzmandt 2011-08-03 00:30:10 UTC
Version:           4.7 (using KDE 4.7.0) 
OS:                Linux

Enable kdewallet is unchecked, I don't use it. When 'remember password' is checked kmail hangs after receiving mail with message "saving password to the wallet".  The password remains unsaved and must be re-entered next time mail servers are checked for new mail

Reproducible: Always

Steps to Reproduce:
system settings/account details/kdewallet/uncheck 'enable the kde wallet subsystem'
check mail (mine is gmail pop3) and check box in kmail to remember password

Actual Results:  
Process stops at 'saving password to the wallet' and password is not saved

Expected Results:  
'kde wallet not enabled, saving locally' and password is saved
Comment 1 Thomas McGuire 2011-09-16 21:22:32 UTC
Git commit 1fdf8a96529a8031580d791d6ef9d79547036fbf by Thomas McGuire.
Committed on 16/09/2011 at 22:58.
Pushed by tmcguire into branch 'master'.

Don't hang when the wallet service is completely disabled.

This apparently is different than just denying the resource access to
the wallet.

BUG: 279228

M  +13   -4    resources/pop3/accountdialog.cpp
M  +12   -3    resources/pop3/pop3resource.cpp

http://commits.kde.org/kdepim-runtime/1fdf8a96529a8031580d791d6ef9d79547036fbf
Comment 2 Thomas McGuire 2011-09-16 21:25:46 UTC
> Process stops at 'saving password to the wallet' and password is not saved

How did you even get there? It hung much earlier for me, when fetching the password for logging in.
Anyway, this no longer happens, and there is no "Keep password" checkbox anymore either.

> 'kde wallet not enabled, saving locally' and password is saved

Saving passwords in the config file is no longer supported, see bug 276228 for the wish that still wants that behavior.
Comment 3 Thomas McGuire 2011-09-18 13:44:27 UTC
Git commit af408796ad8955b8cf92ff68ecbae5c0dd3417b5 by Thomas McGuire.
Committed on 18/09/2011 at 14:53.
Pushed by tmcguire into branch 'KDE/4.7'.

Don't hang when the wallet service is completely disabled.

This apparently is different than just denying the resource access to
the wallet.

BUG: 279228
(cherry picked from commit 1fdf8a96529a8031580d791d6ef9d79547036fbf)

M  +11   -4    resources/pop3/accountdialog.cpp
M  +11   -4    resources/pop3/pop3resource.cpp

http://commits.kde.org/kdepim-runtime/af408796ad8955b8cf92ff68ecbae5c0dd3417b5